Subject: [PWE3] WG LC:draft-ietf-pwe3-ms-pw-arch-02.txt

From: Danny McPherson <[email-masked]>
Date: Wed, 1 Nov 2006 11:31:17 -0700

Folks,
Please consider this the start of a two-week WG last call for
this document.  Feedback to the mailing list and/or authors
with comments, corrections and clarifications are requested
ASAP.

WG LC will end on 11/15/2006.

Thanks!

-danny

Begin forwarded message:

> From: [email-masked]
> Date: October 22, 2006 4:50:01 PM MDT
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D ACTION:draft-ietf-pwe3-ms-pw-arch-02.txt
> Reply-To: [email-masked]
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Pseudowire Emulation Edge to Edge  
> Working Group of the IETF.
>
> 	Title		: An Architecture for Multi-Segment Pseudo Wire Emulation  
> Edge-to-Edge
> 	Author(s)	: M. Bocci, S. Bryant
> 	Filename	: draft-ietf-pwe3-ms-pw-arch-02.txt
> 	Pages		: 20
> 	Date		: 2006-10-22
> 	
> This document describes an architecture for extending pseudowire
>    emulation across multiple packet switched network segments.  
> Scenarios
>    are discussed where each segment of a given edge-to-edge emulated
>    service spans a different provider's PSN, and where the emulated
>    service originates and terminates on the same providers PSN, but  
> may
>    pass through several PSN tunnel segments in that PSN. It  
> presents an
>    architectural framework for such multi-segment pseudowires, defines
>    terminology, and specifies the various protocol elements and their
>    functions.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-pwe3-ms-pw-arch-02.txt
>
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of
> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
> Internet-Drafts are also available by anonymous FTP. Login with the
> username "anonymous" and a password of your e-mail address. After
> logging in, type "cd internet-drafts" and then
> "get draft-ietf-pwe3-ms-pw-arch-02.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-pwe3-ms-pw-arch-02.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> Content-Type: text/plain
> Content-ID: <[email-masked]>
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/i-d-announce

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: <[email-masked]>
Date: Thu, 2 Nov 2006 17:27:11 -0000

Colleagues,

A couple of comments and some editorial things I noticed when reading
the draft:

Section 2: "From the perspective of a T-PE, a MS-PW is indistinguishable
from a SS-PW. Thus, the following are equivalent from the perspective of
the T-PE"

This is only true for the dataplane of a T-PE.  The control plane for an
SS-PW isn't identical to the control plane for a MS-PW.

Text under Figure 4:
"PWs are used to connect the attachment circuits (ACs) attached to PE1
to the corresponding ACs attached to  PE3" what are PE1 and PE3 - Do you
mean TPE1 and TPE2 (as they are labelled in Figure 4)?

Text under Figure 4 refers to T-PE and S-PE and Figure 5 uses T-PE and
S-PE but they are labelled as TPE and SPE in Figure 4 and the text in
section 4.1 uses TPE and SPE.  The document should be consistent with
its use of abbrievations/labelling.  T-PE and S-PE seem to be used more
than TPE and SPE.

Section 1.1, 1st bullet: "PEs and P routers" => "PE and P routers"

Page 4, 2nd line: "There are 4 PEs, and PWE3" do you mean "There are 4
PEs, and PWs"?

Page 4, 7th line: "PEs must terminate all pseudowires that are carried
on PSN tunnels that terminate on that PE according to the architecture
of RFC 3985"

Should it start "Each PE must"

Page 5, 1st line: "Here, the providers" => "Here, the provider's"

Figure 4 - Emulated service seems to run from middle of CE1 to the edge
of CE2, is this significant?

Text under Figure 4, line 12: "PW segments of the same MS-PW (e.g., PW1
and PW3) MAY be of the same PW type or different type".  The  figure has
no PW1 and PW3, do you mean PW Segment 1 and PW Segment 3?

Section 4.1, 3rd paragraph: "PSN 1 and PSN 2" => "PSN1 and PSN2"

Section 4.1.2: "PSN 1 and PSN 2" => "PSN1 and PSN2"

Section 4.2: "PWE3 services to CEs attached to each providers network"
=> "PWE3 services to CEs attached to  each provider's network"

Section 4.2.2: "PSN 1 and PSN 2" => "PSN1 and PSN2"

Ben

-- 
Ben Niven-Jenkins
Network Architect, BT Exact
  
E-mail: [email-masked] 
Office: +44 (0)1473 648225
Mobile: +44 (0)7918 077205
   Fax: +44 (0)1332 578827

---

From: Danny McPherson <[email-masked]>
Date: Mon, 6 Nov 2006 06:56:24 -0700

> WG LC will end on 11/15/2006.

Folks,
Given the meeting this week and the timing of this LC, let's
extend the WG LC feedback period until 11/24.

Thanks!

-danny

>>    service originates and terminates on the same providers PSN,  
>> but may